Package uk.ac.starlink.topcat

# Class Driver

java.lang.Object
uk.ac.starlink.topcat.Driver

public class Driver extends Object
Main class for invoking the TOPCAT application from scratch. Contains some useful static configuration-type methods as well as the `main(java.lang.String[])` method itself.

Since:
  9 Mar 2004
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`Driver()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`canRead()`
Indicates whether the security context will permit reads from local disk.
`static boolean`
`canWrite()`
Indicates whether the security context will permit writes to local disk.
`static boolean`
`isStandalone()`
Indicates whether the TableViewer application is standalone or not.
`static void`
`main(String[] args)`
Main method for TOPCAT invocation.
`static void`
`setStandalone(boolean standalone)`
Determines whether TableViewers associated with this class should act as a standalone application.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Driver

public Driver()

## Method Details

### setStandalone

public static void setStandalone(boolean standalone)
Determines whether TableViewers associated with this class should act as a standalone application. If `standalone` is set true, then it will be possible to exit the JVM using menu items etc in the viewer. Otherwise, no normal activity within the TableViewer GUI will cause a JVM exit.

Parameters:
  `standalone` - whether this class should act as a standalone application

### isStandalone

public static boolean isStandalone()
Indicates whether the TableViewer application is standalone or not.

Returns:
  whether this should act as a standalone application.

### canRead

public static boolean canRead()
Indicates whether the security context will permit reads from local disk.

Returns:
  true iff reads are permitted

### canWrite

public static boolean canWrite()
Indicates whether the security context will permit writes to local disk.

Returns:
  true iff writes are permitted

### main

public static void main(String[] args) throws org.astrogrid.samp.client.SampException, IOException
Main method for TOPCAT invocation. Under normal circumstances this will pop up a ControlWindow and populate it with tables named in the arguments.

Parameters:
  `args` - list of flags and table specifications
Throws:
  `org.astrogrid.samp.client.SampException`
  `IOException`